# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductDefinitionFormationWithSpecifiedSource Class Reference

`#include <StepBasic_ProductDefinitionFormationWithSpecifiedSource.hxx>`

Inheritance diagram for StepBasic_ProductDefinitionFormationWithSpecifiedSource:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ProductDefinitionFormationWithSpecifiedSource ()
| Returns a ProductDefinitionFormationWithSpecifiedSource .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aId, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_Product)&aOfProduct)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aId, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_Product)&aOfProduct, const StepBasic_Source aMakeOrBuy)
Standard_EXPORT void | SetMakeOrBuy (const StepBasic_Source aMakeOrBuy)
Standard_EXPORT StepBasic_Source | MakeOrBuy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepBasic_Source | makeOrBuy

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductDefinitionFormationWithSpecifiedSource::StepBasic_ProductDefinitionFormationWithSpecifiedSource | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ProductDefinitionFormationWithSpecifiedSource::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ProductDefinitionFormation.

virtual Standard_EXPORT void StepBasic_ProductDefinitionFormationWithSpecifiedSource::Init | ( | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_Product)& | aOfProduct,
|  | const StepBasic_Source | aMakeOrBuy
| ) | `[virtual]`

virtual Standard_EXPORT void StepBasic_ProductDefinitionFormationWithSpecifiedSource::Init | ( | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_Product)& | aOfProduct
| ) | `[virtual]`

| Reimplemented from StepBasic_ProductDefinitionFormation.

Standard_EXPORT StepBasic_Source StepBasic_ProductDefinitionFormationWithSpecifiedSource::MakeOrBuy | ( |  | ) | const

Standard_EXPORT void StepBasic_ProductDefinitionFormationWithSpecifiedSource::SetMakeOrBuy | ( | const StepBasic_Source | aMakeOrBuy | ) |

## Field Documentation

StepBasic_Source StepBasic_ProductDefinitionFormationWithSpecifiedSource::makeOrBuy `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ProductDefinitionFormationWithSpecifiedSource.hxx